using UnityEngine;
using System.Collections;

public interface IPlayerService {

    void SpecialAttack(int rivalID, int followersKilled);
    void Sacrifice(int recruiterID);
    void SendAssassin(int rivalID, int CurrentPlayerID, int maximumKills);
    void SendPreacher(int currentPlayerID, int rivalID);
    void RecruitPriest(int recruiterID);
    bool IsLoser(int playerID);
    bool IsStillAlive(int playerID);
}
